OpenTTD Source: BaseConsist Struct Reference

OpenTTD Source 14.1

Public Member Functions | Data Fields
BaseConsist Struct Reference

Various front vehicle properties that are preserved when autoreplacing, using order-backup or switching front engines within a consist. More...

`#include <base_consist.h>`

Inheritance diagram for BaseConsist:

## Public Member Functions
void | CopyConsistPropertiesFrom (const BaseConsist *src)
| Copy properties of other BaseConsist. More...
void | ResetDepotUnbunching ()
| Resets all the data used for depot unbunching.

## Data Fields
std::string | name
| Name of vehicle.
TimerGameTick::Ticks | current_order_time
| How many ticks have passed since this order started.
TimerGameTick::Ticks | lateness_counter
| How many ticks late (or early if negative) this vehicle is.
TimerGameTick::TickCounter | timetable_start
| At what tick of TimerGameTick::counter the vehicle should start its timetable.
TimerGameTick::TickCounter | depot_unbunching_last_departure
| When the vehicle last left its unbunching depot.
TimerGameTick::TickCounter | depot_unbunching_next_departure
| When the vehicle will next try to leave its unbunching depot.
TimerGameTick::Ticks | round_trip_time
| How many ticks for a single circumnavigation of the orders.
uint16_t | service_interval
| The interval for (automatic) servicing; either in days or %.
VehicleOrderID | cur_real_order_index
| The index to the current real (non-implicit) order.
VehicleOrderID | cur_implicit_order_index
| The index to the current implicit order.
uint16_t | vehicle_flags
| Used for gradual loading and other miscellaneous things (. More...

## Detailed Description

Various front vehicle properties that are preserved when autoreplacing, using order-backup or switching front engines within a consist.

Definition at line 17 of file base_consist.h.

## Member Function Documentation

## ◆ CopyConsistPropertiesFrom()

void BaseConsist::CopyConsistPropertiesFrom | ( | const BaseConsist * | src | ) |

Copy properties of other BaseConsist.

Parameters

  src | Source for copying

Definition at line 22 of file base_consist.cpp.

References cur_implicit_order_index, cur_real_order_index, current_order_time, HasBit(), lateness_counter, name, service_interval, SetBit(), timetable_start, ToggleBit(), vehicle_flags, VF_AUTOFILL_PRES_WAIT_TIME, VF_AUTOFILL_TIMETABLE, VF_SERVINT_IS_CUSTOM, VF_SERVINT_IS_PERCENT, and VF_TIMETABLE_STARTED.

Referenced by Vehicle::CopyVehicleConfigAndStatistics(), and OrderBackup::OrderBackup().

## Field Documentation

## ◆ vehicle_flags

uint16_t BaseConsist::vehicle_flags

Used for gradual loading and other miscellaneous things (.

See also
  VehicleFlags enum)

Definition at line 34 of file base_consist.h.

Referenced by TimetableWindow::BuildArrivalDepartureList(), CmdAutofillTimetable(), CmdSetVehicleOnTime(), CopyConsistPropertiesFrom(), TimetableWindow::DrawArrivalDeparturePanel(), Vehicle::HandlePathfindingResult(), and PrepareUnload().

The documentation for this struct was generated from the following files:

- src/base_consist.h
- src/base_consist.cpp